/**
 * 
 */
package com.huatek.busi.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.BusiExternalEquipment;

/**
  * @ClassName: BusiExternalEquipmentMapper
  * @FullClassPath: com.huatek.busi.mapper.BusiExternalEquipmentMapper
  * @Description: 站点外挂设备Mapper
  * @author: Arno
  * @date: Jul 1, 2019 4:00:35 PM
  * @version: 1.0
  */
@Repository
public interface BusiExternalEquipmentMapper {

	/** 
	* @Title: getByEquipmentId 
	* @Description: 根据设备id获取  
	* @createDate: Jul 1, 2019 4:02:05 PM
	* @param    equipmentId 设备树ID
	* @return   BusiExternalEquipment    
	* @throws 
	*/ 
	BusiExternalEquipment getByEquipmentId(@Param("equipmentId") String equipmentId);
	
	
	/**
     * 根据站点ID获取外挂设备信息
     * @param siteId 站点ID
     * @return
     */
	List<BusiExternalEquipment> queryBusiExternalEquipment(@Param("siteId") String siteId);

	List<BusiExternalEquipment> queryBusiExternalEquipmentByCondition(@Param("mainEqmId") String mainEqmId, @Param("externalType") String externalType);

	BusiExternalEquipment selectTransformerBySensorCode(String sensorCode);


	BusiExternalEquipment selectGisBySensorCode(String sensorCode);


	BusiExternalEquipment selectArresterBySensorCode(String sensorCode);

	BusiExternalEquipment selectGeneratorBySensorCode(String sensorCode);
	
	BusiExternalEquipment selectOtherBySensorCode(String sensorCode);

	BusiExternalEquipment selectCableBySensorCode(String sensorCode);
	
	BusiExternalEquipment selectTransformerByMainEqmId(String mainEqmId);
	BusiExternalEquipment selectGisByMainEqmId(String mainEqmId);
	BusiExternalEquipment selectArresterByMainEqmId(String mainEqmId);
	
}
